image: docker:stable
services:
  - docker:dind

stages:
  - deploy-htzn
  - deploy-stage
  


variables:
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    # improved performance.
  DOCKER_DRIVER: overlay2
  CONTAINER_TEST_IMAGE: $CI_REGISTRY_IMAGE:test
  CONTAINER_PROD_IMAGE: $CI_REGISTRY_IMAGE:prod
  #

deploy:
  stage: deploy-stage
  tags:
    - envstage
  only:
    - main
  script:
    - cp  ./docker-compose-stage.yml /home/devops/nft2-crm
    - pwd
    - ls -lA
    - cp -r -f ./nginx_template /home/devops/nft2-crm/
    - cd /home/devops/nft2-crm
    - docker login -u gitlab-ci-token -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
    - docker-compose -p niftsy -f docker-compose-stage.yml up -d
    - docker system prune --volumes  --force
    - docker exec nginx-certbot nginx -s reload
    - docker-compose -p niftsy -f ../niftsy-nginx/docker-compose.yml up -d --force-recreate nginx
    - docker exec nginx-drupal chown -R www-data:www-data /var/www/html/

deploy-hetzner-job:
  stage: deploy-htzn
  tags:
    - htzndrupalshell
  only:
    - main
  when: manual
  script:
    # - whoami
    # - pwd
    # - ls -lA
    - cp  ./docker-compose.yml /home/devops/nft20crm-drupal
    - cp -r -f ./nginx_template /home/devops/nft20crm-drupal/
    - cd /home/devops/nft20crm-drupal
    - docker compose up -d
    - docker system prune --volumes  --force
    - docker exec nginx-drupal nginx -s reload
    #- docker exec nginx-drupal chown -R www-data:www-data /var/www/html/
  environment:
    name: hetzner-drupal
    url: nft2crm.envelop.is

